Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
EntityResource::calculateDependencies function core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource::checkPatchFieldAccess function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::checkPatchFieldAccess function core/modules/jsonapi/src/Controller/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::create function core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource::createIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Creates an individual entity.
EntityResource::delete function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity DELETE requests.
EntityResource::deleteIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Deletes an individual entity.
EntityResource::deserialize function core/modules/jsonapi/src/Controller/EntityResource.php Deserializes a request body, if any.
EntityResource::doPatchIndividualRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-one relationship.
EntityResource::doPatchMultipleRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-many relationship.
EntityResource::entityExists function core/modules/jsonapi/src/Controller/EntityResource.php Checks if the given entity exists.
EntityResource::executeQueryInRenderContext function core/modules/jsonapi/src/Controller/EntityResource.php Executes the query in a render context, to catch bubbled cacheability.
EntityResource::generateFallbackAccessDeniedMessage function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Generates a fallback access denied message, when no specific reason is set.
EntityResource::get function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity GET requests.
EntityResource::getBaseRoute function core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource::getCollection function core/modules/jsonapi/src/Controller/EntityResource.php Gets the collection of entities.
EntityResource::getCollectionCountQuery function core/modules/jsonapi/src/Controller/EntityResource.php Gets a basic query for a collection count.
EntityResource::getCollectionQuery function core/modules/jsonapi/src/Controller/EntityResource.php Gets a basic query for a collection.
EntityResource::getEntityFromResourceIdentifier function core/modules/jsonapi/src/Controller/EntityResource.php Loads the entity targeted by a resource identifier.
EntityResource::getIncludes function core/modules/jsonapi/src/Controller/EntityResource.php Gets includes for the given response data.
EntityResource::getIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Gets the individual entity.
EntityResource::getJsonApiParams function core/modules/jsonapi/src/Controller/EntityResource.php Extracts JSON:API query parameters from the request.
EntityResource::getPagerLinks function core/modules/jsonapi/src/Controller/EntityResource.php Get the pager links for a given request object.
EntityResource::getPagerQueries function core/modules/jsonapi/src/Controller/EntityResource.php Get the query param array.
EntityResource::getRelated function core/modules/jsonapi/src/Controller/EntityResource.php Gets the related resource.
EntityResource::getRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Gets the relationship of an entity.
EntityResource::getRequestLink function core/modules/jsonapi/src/Controller/EntityResource.php Get the full URL for a given request object.
EntityResource::isConfigEntityResource function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Checks if this resource is for a Config Entity.
EntityResource::loadEntitiesWithAccess function core/modules/jsonapi/src/Controller/EntityResource.php Build a collection of the entities to respond with and access objects.
EntityResource::patch function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity PATCH requests.
EntityResource::patchIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Patches an individual entity.
EntityResource::permissions function core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource::post function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity POST requests and saves the new entity.
EntityResource::relationshipResponseRequiresBody function core/modules/jsonapi/src/Controller/EntityResource.php Determines if the client needs to be updated with new relationship data.
EntityResource::removeFromRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Deletes the relationship of an entity.
EntityResource::replaceRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Updates the relationship of an entity.
EntityResource::respondWithCollection function core/modules/jsonapi/src/Controller/EntityResource.php Respond with an entity collection.
EntityResource::updateEntityField function core/modules/jsonapi/src/Controller/EntityResource.php Takes a field from the origin entity and puts it to the destination entity.
EntityResource::__construct function core/modules/jsonapi/src/Controller/EntityResource.php
EntityResource::__construct function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Constructs a Drupal\rest\Plugin\rest\resource\EntityResource object.
EntityResourceAccessTrait trait core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php @internal
@todo Consider making public in https://www.drupal.org/node/2300677
EntityResourceAccessTrait.php file core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php
EntityResourceAccessTrait::checkEditFieldAccess function core/modules/rest/src/Plugin/rest/resource/EntityResourceAccessTrait.php Performs edit access checks for fields.
EntityResourcePostRouteSubscriber class core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Generates a 'create' route for an entity type if it has a REST POST route.
EntityResourcePostRouteSubscriber.php file core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php
EntityResourcePostRouteSubscriber::$resourceConfigStorage property core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php The REST resource config storage.
EntityResourcePostRouteSubscriber::getSubscribedEvents function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php
EntityResourcePostRouteSubscriber::onDynamicRouteEvent function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Provides routes on route rebuild time.
EntityResourcePostRouteSubscriber::__construct function core/modules/rest/src/EventSubscriber/EntityResourcePostRouteSubscriber.php Constructs a new EntityResourcePostRouteSubscriber instance.
EntityResourceRestTestCoverageTest class core/modules/rest/tests/src/Kernel/EntityResource/EntityResourceRestTestCoverageTest.php Checks that all core content/config entity types have REST test coverage.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.